WordPress.org

Ready to get started?Download WordPress

Forums

JM Twitter Cards
[resolved] Latest version not working on PHP 5.4.26 (16 posts)

  1. martinjesus
    Member
    Posted 10 months ago #

    Hi there,

    I have installed for the first time your plugin (which seems to be fantastic), but after activating it I got a completely blank screen on Admin Dashboard :(

    I'm running PHP version 5.4.26. Is there any problem with it?

    Thanks in advance for your response and help.

    https://wordpress.org/plugins/jm-twitter-cards/

  2. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    Hi it should be fixed in 5.1.7 do you have the latest version?

  3. martinjesus
    Member
    Posted 10 months ago #

    Yes, already downloaded 5 minutes ago from WordPress repository...

  4. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    Super weird. Can't reproduce the bug. Will do some tests, thanks for reporting.

  5. martinjesus
    Member
    Posted 10 months ago #

    Ok, thanks for your help. If you need any other info about my installation, please let me know. I will be waiting for your news.

    By the way, Is there any way of download any previous version, in order to try if they work?

  6. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    What I need to know is whether it's coming from the plugin or something else. Can you activate debug on your installation?

  7. martinjesus
    Member
    Posted 10 months ago #

    This is the message when debug mode activated:

    Fatal error: Call to undefined function wp_enqueue_media() in /mysite/wp-content/plugins/jm-twitter-cards/inc/admin/meta-box/init.php on line 266

    Any idea?

  8. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    ok thanks, what is your wordpress version?

  9. martinjesus
    Member
    Posted 10 months ago #

    WordPress version 3.4.1

  10. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    This is my fault, I forgot to update wordpress version minimum required, in fact wp_enqueue_media() has been added in the core since 3.5.0 but even considering this can you update your installation?

  11. martinjesus
    Member
    Posted 10 months ago #

    Ok, understood... But updating my installation will mean a lot of time testing with other plugins, versions, custom code, etc. I have to be very sure of what I'm doing!

    I do have the idea of updating my site, but not at this time.

    Is there any way of nulling that call "wp_enqueue_media()", or it si totally necessary?

    If it is, is it possible to download a previous version of the pluging, working with wordpress 3.4.1?

  12. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    what I can do is making the use of this function conditional to its existence, you won't be able to select image for meta image through upload button but it won't break admin.

    To be included in 5.1.8

  13. martinjesus
    Member
    Posted 10 months ago #

    Thanks for your help!

    And when is this new version 5.1.8 going to be launched?

    5 stars for your plugin if it is within today :)

  14. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    It's for today anyway ^^ this evening.

  15. martinjesus
    Member
    Posted 10 months ago #

    Thaks so much! You will get the 5 stars then... :)

    Will you send me a short reply as soon as it is solved?

    Thanks again JM, you rock!

  16. tweetpressfr
    Member
    Plugin Author

    Posted 10 months ago #

    Fixed now eventually ^^

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.